RABBIT-SLIDE(1)

NAME
rabbit-slide - Template generator for Rabbit

SYNOPSIS
rabbit-slide COMMAND [OPTIONS]

DESCRIPTION

    e.g.: rabbit-slide new \

--id rubykaigi2012 \

--base-name rabbit-introduction \

--markup-language rd \

--name "Kouhei Sutou" \

--email kou@cozmixng.org \

--rubygems-user kou \

--slideshare-user kou \

--speaker-deck-user kou

COMMAND

new:
    create a new slide

    change: change an existing slide

Slide information

--id=ID
    Slide ID (e.g.: --id=rubykaigi2012) (must)

--base-name=NAME
    Base name for the slide source file and generated PDF file (e.g.: --base-name=rabbit-introduction) (must)

--markup-language=LANGUAGE
    Markup language for the new slide (e.g.: --markup-language=rd) (available markup languages: [rd, hiki, markdown]) (default: rd) (optional)

--title=TITLE
    Title of the new slide (e.g.: --title="Rabbit Introduction") (optional)

--tags=TAG,TAG,...
    Tags of the new slide (e.g.: --tags=rabbit,presentation,ruby) (optional)

--allotted-time=TIME
    Allotted time in presentaion (e.g.: --allotted-time=5m) (optional)

--presentation-date=DATE
    Presentation date with the new slide (e.g.: --presentation-date=2012/06/29) (optional)

Your information

--name=NAME
    Author name of the new slide (e.g.: --name="Kouhei Sutou") (default: Youhei SASAKI) (optional)

--email=EMAIL
    Author e-mail of the new slide (e.g.: --email=kou@cozmixng.org) (default: uwabami@math.kyoto-u.ac.jp) (optional)

--rubygems-user=USER
    Account for RubyGems.org It is used to publish your slide to RubyGems.org (e.g.: --rubygems-user=kou) (default: sasakyh) (optional)

--slideshare-user=USER
    Account for SlideShare It is used to publish your slide to SlideShare (e.g.: --slideshare-user=kou) (default: uwabami) (optional)

--speaker-deck-user=USER
    Account for Speaker Deck It is used to publish your slide to Speaker Deck (e.g.: --speaker-deck-user=kou) (optional)

Common options

--options-file=FILE
    Load options from FILE. (none)

--locale-dir=DIR
    Specify locale dir as [DIR]. (auto)

--logger-type=TYPE
    Specify logger type as [TYPE]. Select from [stderr, gui]. (STDERR)

--log-level=LEVEL
    Specify log level as [LEVEL]. Select from [debug, info, warning, error, fatal, unknown]. (info)

--help
    Show this message.

--version
    Show version.